FTOS_CB_AddUpdateContractCollateral
Adds or updates a record in the FTOS_CB_ContractCollateral entity representing a contract collateral. The set of parameters sent via the request body determines the operation performed at the database level.
Syntax
The FTOS_CB_AddUpdateContractCollateral custom endpoint is called from within the Endpoint API endpoint. Visit the Endpoint API page for more details.
POST <host_address>/ftosapi/automation-processors/actions/FTOS_CB_AddUpdateContractCollateral
Content-Type: application/json
{
"contractNo":"<contract_number>",
"contractID":"<contract_id>",
"guarantorNo":"<guarantor_number>",
"collateralRegisterNo":"<collateral_register_number>",
"coverValue":<covered_value>,
"coverPercent":<covered_percentage>,
"coverValueContractCurrency":<covered_value_in_contract_currency>,
"status":"<record_status>"
}
Here's a list of the available parameters:
| Parameter | Description |
|---|---|
| host_address | URL of the FintechOS Platform server. |
| contractNo | Mandatory if contractId is not filled. The number of the contract. |
| contractId | Mandatory if contractNo is not filled. The identifier of the contract. |
| guarantorNo | Mandatory. The number of the customer who will be a guarantor for the specified contract. |
| collateralRegisterNo | Mandatory. The collateral register number. |
| coverValue | Mandatory. The collateral's cover value. |
| coverPercent | The collateral's cover percentage. |
| coverValueContractCurrency | The collateral's cover value expressed in the contract's currency. |
| status | The status of the collateral. Possible values: Active or Secured. |
Response
The response indicates the result of the code execution, specifically the result of creating or updating a record in the FTOS_CB_ContractCollateral entity .
Example
To create a new record, the contractNo, guarantorNo, or collateralRegisterNo should not identify a contract collateral already in the system. To update an existing record, the contractNo, guarantorNo, or collateralRegisterNo should identify a contract collateral already in the system.
If status is not filled, then the collateral's status becomes Active.
Is status is filled with Secured value, then the record's identified status can only be Active.
Request
POST https://FintechOSStudio/ftosapi/automation-processors/actions/
Content-Type: application/json
{
"contractNo":"2054 CLT USD",
"contractId":"",
"guarantorNo":"CL97",
"collateralRegisterNo":"CC000000008",
"coverValue":1000.00,
"coverPercent":10.00,
"coverValueContractCurrency":1000.00,
"status":"Active"
}
Response
{
"isSuccess": true
}